%global qt_module qtimageformats
%global __provides_exclude_from ^%{_qt5_plugindir}/.*\\.so$

Summary: Qt5 - QtImageFormats component
Name:    qt5-%{qt_module}
Version: 5.15.11
Release: 1%{?dist}
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

Patch3001:  0001-webp-support-sequential-input-device-if-full-file-is.patch
Patch3002:  0002-Explicitly-include-QVarLengthArray-header.patch
Patch3003:  0003-Implement-support-for-file-memory-mapping-for-tiff-r.patch
Patch3004:  0004-TGA-Plugin-Fix-reading-of-CMapDepth.patch
Patch3005:  0005-Update-bundled-libwebp-to-version-1.3.0.patch
Patch3006:  0006-Update-bundled-libwebp-to-version-1.3.1.patch
Patch3007:  0007-Update-bundled-libwebp-to-version-1.3.2.patch
Patch3008:  0008-Update-bundled-libtiff-to-version-4.5.0.patch
Patch3009:  0009-Update-bundled-libtiff-to-version-4.5.1.patch
Patch3010:  0010-Update-bundled-libtiff-to-version-4.6.0.patch

BuildRequires: make
BuildRequires: qt5-qtbase-devel >= %{version}
BuildRequires: qt5-qtbase-private-devel
BuildRequires: libmng-devel
BuildRequires: libtiff-devel
BuildRequires: jasper-devel
BuildRequires: libwebp-devel >= 0.4.4
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

Provides:  qt5-qtimageformats-devel = %{version}-%{release}

%description
The core Qt Gui library by default supports reading and writing image
files of the most common file formats: PNG, JPEG, BMP, GIF and a few more,
ref. Reading and Writing Image Files. The Qt Image Formats add-on module
provides optional support for other image file formats, including:
MNG, TGA, TIFF, WBMP.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}
%description examples
%{summary}.



%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1

rm -rv src/3rdparty



%build
%{qmake_qt5}

%make_build



%install
make install INSTALL_ROOT=%{buildroot}



%files
%license LICENSE.GPL*
%license LICENSE.LGPL*
%{_qt5_plugindir}/imageformats/libqmng.so
%{_qt5_plugindir}/imageformats/libqtga.so
%{_qt5_plugindir}/imageformats/libqtiff.so
%{_qt5_plugindir}/imageformats/libqwbmp.so
%{_qt5_plugindir}/imageformats/libqicns.so
%{_qt5_plugindir}/imageformats/libqjp2.so
%{_qt5_plugindir}/imageformats/libqwebp.so
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_*Plugin.cmake



%changelog
* Wed Jan 17 2024 edwardewang <edwardewang@tencent.com> - 5.15.11-1
- Upgrade to 5.15.11

* Thu Sep 21 2023 kianli <kianli@tencent.com> - 5.15.10-1
- Upgrade to 5.15.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 5.15.9-3
- Rebuilt for jasper-libs 4.0.0

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 5.15.9-2
- Rebuilt for libtiff 4.5.1

* Mon Jul 17 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Zhao Zhen <jeremiazhao@tencent.com> - 5.15.7-1
- initial
